/*
Prfen ob alle bentigten Bibilotheken vorhanden sind
Erstellen eines Arbeitsordner auf der WPS
(c) Michael Petz 1996
*/

Call Color "green","black"
say
say "Petzi-Tools"
say
say "Registriere bentigte Bibilotheken..."
Call Color "white","black"

/***** Laden der REXXUTIL Bibilothek *****/
say
Call Color "white","blue"
say "Lade Rexxutil Bibilothek..."
Call Color "white","black"
call RxFuncAdd 'SysLoadFuncs', 'REXXUTIL', 'SysLoadFuncs'
call SysLoadFuncs
call SysSleep 2

/***** Laden der VROBJ.DLL *****/
say 
Call Color "white","blue"
say "Lade VROBJ (VXRexx DLL)..."
Call Color "white","black"
call SysSleep 2
call RXFuncAdd "VRLoadFuncs", "VROBJ", "VRLoadFuncs"
call VRLoadFuncs
VrobjVer = VRVersion( "VROBJ.DLL" ) 
say "Version: "VrobjVer

/***** Laden der RXU.DLL *****/
/*say 
Call Color "white","blue"
say "Lade Rexxutil Bibilothek (RXU.DLL)..."
Call Color "white","black"
call SysSleep 2 
call rxfuncadd 'rxuinit','rxu','rxuinit'
call rxuinit

/***** Verzeichnisse der geladenen Dll's suchen *****/
rc = RxQueryModuleHandle(RxHandle,"RXU.DLL") 
rc = RxQueryModuleName(RxuModul,RxHandle)

rc = RxQueryModuleHandle(UtilHandle,"REXXUTIL.DLL") 
rc = RxQueryModuleName(UtilModul,UtilHandle)

rc = RxQueryModuleHandle(VrHandle,"VROBJ.DLL") 
rc = RxQueryModuleName(VrobjModul,VrHandle)*/
VrobjVer = VRVersion( "VROBJ.DLL" ) 

/***** Versionskontrolle *****/
Parse Var VrobjVer Ver1" "XXX
If Ver1 < "2.14" then do
  Call Color "Red","black"
  say 
  say "*********** WARNUNG! ************"
  Call Color "red","yellow"
  say
  say "Sie arbeiten mit der VROBJ.DLL Version:"
  say VrobjVer
  say 
  say "Diese Version ist veraltet!"
/*  say "Die veraltete Version befindet sich in folgendem Verzeichnis:"
  say VrobjModul
  say*/
  say "Petzi-Tools bentigt folgende Version:"
  say "2.14 01 Sept 1995 (Ver. 2.1d)"
  say
  say
  say "W = Weiter     Return = Abbruch"
  Call Color "white","black"
  Pull A
  If Translate(A) <> "W" then Exit
End
/*call SysCls
Call Color "green","black"
say "Folgende Bibilotheken werden von Phelsuma/2 benutzt:"
Call Color "white","black"
say
say "REXXUTIL : "UtilModul
say "RXU.DLL  : "RxuModul
say "VROBJ.DLL: "VrobjModul
say "           Version: "VrobjVer
say*/
call SysSleep 2
Test:
/***** berprfen ob Petzi-Tools schon in der OS2.INI registriert sind *****/
Ini_Pfad = SysIni('user', 'Ptools', 'Pfad')
rc = SysFileTree( Ini_Pfad"\*.*", "Stem" )

/***** Petzi-Tools in OS2.INI registrieren *****/
If Stem.1 = "STEM.1" then do
  say
  say "Erzeuge Eintrag -Petzi-Tools- in OS2.INI"
  rc = SysIni('user', 'Ptools', 'Pfad', Directory())
  Ini_Datei = SysIni('user', 'Ptools', 'Pfad')"\Ptools.INI"
End
Ini_Pfad = SysIni('user', 'Ptools', 'Pfad')

say
Call Color "green","black"
say "Erzeuge WPS-Objekte fr Petzi-Tools:"
Call Color "white","black"

/********** Erzeugen des Ordners **********/
say
Call Color "white","blue"
say "erzeuge Petzi-Tools Ordner..."
Call Color "white","black"

classname = 'WPFolder'
title     = "Petzi-Tools"
location  = '<WP_DESKTOP>'
iconparm  = "ICONFILE="Ini_Pfad"\Ptools.exe";
setup     = "OBJECTID=<Ptools_FOLDER>";

rc = SysCreateObject(classname, title, location, setup, 'r')
If rc = "1" then do
  say "        ...erfolgreich registriert"
  say " "
End
else do
  say "error"
End

/********** Erzeugen des Hauptprogrammes ***********/
Call Color "white","blue"
say "erzeuge Petzi-Tools Programmobjekt..."
Call Color "white","black"

classname = 'WPProgram'
title     = 'Petzi-Tools'
location  = '<Ptools_FOLDER>'
setup     = "EXENAME="Ini_Pfad"\Ptools.exe;" ||,
            "ASSOCFILTER=*.INI;"
rc = SysCreateObject(classname, title, location, setup, 'r')
If rc = "1" then do
  say "        ...erfolgreich registriert"
  say " "
End
else do
  say "error"
End

/********** Erzeugen der Online Referenz **********/
Call Color "white","blue"
say "erzeuge Petzi-Tools Referenz..."
Call Color "white","black"
Ptools_Ref = Ini_Pfad"\Ptools.INF"

classname = 'WPProgram'
title     = 'Petzi-Tools Referenz'
location  = '<Ptools_FOLDER>'
setup     = "EXENAME=view.exe;" ||,
            "PROGTYPE=PM;" ||,
            "PARAMETERS="Ptools_Ref";"
rc = SysCreateObject(classname, title, location, setup, 'r')
If rc = "1" then do
  say "        ...erfolgreich registriert"
  say " "
End
else do
  say "error"
End

say
say "Return = Abbruch"
Pull

Exit

Color: Procedure        /* Call Color <ForeGround>,<BackGround> */
arg F,B
Colors = "BLACK RED GREEN YELLOW BLUE MAGENTA CYAN WHITE"
return CHAROUT(,D2C(27)"["WORDPOS(F,COLORS)+29";"WORDPOS(B,COLORS)+39";m")